2007-01-09  Thomas Wood  <thos@gnome.org>

	* accessibility-keyboard.desktop.in.in: Rename "Keyboard" to "Keyboard
	Accesibility". Fixes bug 330697 (Keyboard Accessibility applet has the
	same menu item as the Keyboard applet).

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* accessibility-keyboard.desktop.in.in: don't list the Application 
	category, patch by Vincent Fretin <vincent.fretin@gmail.com> 
	(Closes: #344321)

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* accessibility-keyboard.c: Add #include "accessibility-keyboard.h".

2005-08-14  Sebastien Bacher  <seb128@debian.org>

	* accessibility-keyboard.c: (setup_ranges):
	don't use a page value, fix the different behaviour between widgets 
	(Closes: #301470).

2005-01-05  Sebastien Bacher  <seb128@debian.org>

	* gnome-accessibility-keyboard-properties.glade: fixed a typo in the
	label-for for the "pixels/second" label (Part of #162368).

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: install .desktop file in $(datadir)/applications.
	
	* accessibility-keyboard.desktop.in: add OnlyShowIn=GNOME;

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-08-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-accessibility-keyboard-properties.c: (main):
	Use themed icon for window hint.

2004-07-06  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-accessibility-keyboard-properties.glade:  Add label-for/
	labelled-by relations. Fixes bug #144174.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-16  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c (cb_load_CDE_file) : Add a kludge to set
	  the vertical size based on the monitor size until the filesel can do
	  a better job of doing it itself.

2003-12-07  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* accessibility-keyboard.c: (load_CDE_file),
	(fchooser_handle_response), (cb_load_CDE_file): replace
	GtkFileSelection with GtkFileChooser.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-accessibility-keyboard-properties.c: (dialog_response): Update
	help link to point to user-guide.xml

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-11-18  Padraig O'Briain <padraig.obriain@sun.com>

	* gnome-accessibility-keyboard-properties.glade:  Add atk relations.
	Fixes bug #126718
	
2003-11-03  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=120842
	* gnome-accessibility-keyboard-properties.c : older xservers require
	  X11/Xlib.h too, its not sun specific.

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-10-28  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=120842
	* gnome-accessibility-keyboard-properties.glade : Remove bone headed
	  spitting of checkbox and label.
	* accessibility-keyboard.c (setup_toggles) : It was probably done so
	  that the headers could be made bold.

Mon Aug 11 11:55:49 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-accessibility-keyboard-properties.glade: Patch from Elijah
	Newren <newren@math.utah.edu> to bring the possible repeat range
	in sync with the keyboard capplet.

2003-08-01  Dennis Cranston  <dennis_cranston at yahoo com>

	* gnome-accessibility-keyboard-properties.glade: Patch to add 
	two more pixels of spacing between action area and vbox of 
	preferences dialog.

2003-07-24  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* gnome-accessibility-keyboard-properties.glade:
	Allow only numeric values in spinbutton.
	Fixes bugzilla bug# 118175 

2003-07-17  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-accessibility-keyboard-properties.glade,
	  accessibility-keyboard.c:  HIG fixes for ui-review bug 
	  report #98915.

2003-07-16  Dennis Cranston <dennis_cranston at yahoo com>

	* gnome-accessibility-keyboard-properties.glade:  Adjust widget 
	padding to make dialog a little more HIG compliant.

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-05-05  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-accessibility-keyboard-properties.c: Merge fix
	for bug #110266.

2003-04-30  Alex Duggan  <aldug@astrolinux.com>

	* gnome-accessibility-keyboard-properties.c: use appropriate
	window border icon.

2003-04-30  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-accessibility-keyboard-properties.c: Fix build
	on Solaris. Fixes bug #106196.

2003-02-21  Calum Benson  <calum.benson@sun.com>

	* gnome-accessibility-keyboard-properties.glade:
	HIG-ified frames and labels.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2003-01-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=96483
	* accessibility-keyboard.c : sigh.  The defaults apparently need to be
	  0 too.

2003-01-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=96484
	* accessibility-keyboard.c : make 0 min for slow and bounce

2003-01-07  Abel Cheung  <maddog@linux.org.hk>

	* gnome-accessibility-keyboard-properties.c (xkb_enabled): Fix typo
	in error msg dialog.

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-13  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* accessibility-keyboard.c : Tweaked the incremental values
	of spin button to 10. Fixes #95511

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-11-02  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c : Merge in Calum's new layout
	* gnome-accessibility-keyboard-properties.glade : ditto.

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-11  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	* gnome-accessibility-keyboard-properties.c (xkb_enabled): Dismiss
	the XKB extensions warning dialog.  Fixes #95069

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

2002-09-26  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.glade : add ellipsis for CDE
	 import and Repeat key buttons.

2002-09-25  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.glade : remove spaces before
	  colons and fix the title.

2002-09-24  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c (load_CDE_file) : blah the
	  XrmGetFileDatabase is implementation specific in its handling of
	  invalid files.  Add a hack that if the imported file did not contain
	  any resources it was invalid.

	* gnome-accessibility-keyboard-properties.glade : add mnemonic_widget
	  for mousekeys_init_delay_title.  Remove the atkrelations for things
	  with mnemonic_widget.

2002-09-11  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.glade : Fix conflicting
	  accelerators.

	* accessibility-keyboard.c (setup_dialog) : connect the simple items
	  before the master.
	(cb_master_enable_toggle) : desensitize the subfeature content if the
	  master switch is disabled.

2002-09-09  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.c (main) : add a warning if
	  xkb is not available.

2002-09-09  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c : on 2nd thought lets disable the 'beep on
	  feature change' if the master switch is off.

	http://bugzilla.gnome.org/show_bug.cgi?id=92488
	* gnome-accessibility-keyboard-properties.glade : tweak accelerators

2002-09-09  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=90936
	* gnome-accessibility-keyboard-properties.glade : Add mnemonic_widget
	  assignments and fix a typo.

2002-08-28  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=91854
	* accessibility-keyboard.c : the max slow key delay is 500ms.
	  We clamp that in the settings daemon.  Fix the ui to reflect that.

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-19  Ross Burton  <ross@burtonini.com>

	* accessibility-keyboard.desktop.in: Fix the desktop file so that
	it validates.

2002-08-05  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.glade : Restore the master
	  toggle.

	* accessibility-keyboard.c (setup_dialog) : support the master toggle.
	(cb_master_enable_toggle) : new.

2002-08-01  jacob berkman  <jacob@ximian.com>

	* accessibility-keyboard.c (setup_accessX_dialog): fix widget name
	for the keyboard capplet button

	* gnome-accessibility-keyboard-properties.c (dialog_response):
	don't quit when the import accessx button is clicked (#89358)

2002-06-21  Satyajit Kanungo  <satyajit.kanungo@wipro.com>

	* gnome-accessibility-keyboard-properties.c :
 	 Changed the help link to point to the correct document (#85895)

2002-06-10  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c : tweak the layout as requested and adjust
	  the max slowkey delay to 500 to avoid losing the keyboard due to some
	  sort of an X problem.

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

Sun May 26 11:44:41 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-accessibility-keyboard-properties.c (main): use APPID
	instead of argv[0]

2002-05-08  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.c (dialog_response) : fix
	  path to help.

2002-04-24  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c : adjust the defaults.

2002-04-18  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c (setup_accessX_dialog) : Use 'clicked'
	  rather than 'activated' for the file sel.

2002-04-10  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.glade2 (</) : slim down the
	  tooltips.

Wed Apr 10 18:02:29 2002  Jonathan Blandford  <jrb@gnome.org>

	* accessibility-keyboard.desktop.in (Exec): s/gnome2/gnome

2002-03-30  Jody Goldberg <jody@gnome.org>

	* gnome-accessibility-keyboard-properties.glade2 : rename Sample -> Text
	  because that makes more sense.

	http://bugzilla.gnome.org/show_bug.cgi?id=76315
	* accessibility-keyboard.desktop.in : rename from AccessX -> Keyboard

2002-03-29  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c (setup_dialog) : spelling error.
	(CONFIG_ROOT) : fix spelling error in the schema.

2002-03-29  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c : tweak the mouse key slider ranges
	max_speed : 100 pixels every 10 msec is plenty fast  Limit things to
	    1..100 default 10 step 5
	accel_time : 10..5000 default 300 step 100
	init_delay : 10..5000 default 300 step 100

2002-03-28  jacob berkman  <jacob@ximian.com>

	* accessibility-keyboard.c: on solaris Xresource.h sez /* You must
	include <X11/Xlib.h> before including this file */

2002-03-25  Jody Goldberg <jody@gnome.org>

	* accessibility-keyboard.c (setup_accessX_dialog) : Only load the
	  necessary toplevel widget in the non-dialog case.
	(setup_dialog) : pass as_dialog to the sub-init routines.
	(setup_images) : only load widgets appropriate for the current state.
	(setup_ranges) : ditto, and be more vocal about invalid glade.
	(setup_simple_toggles) : ditto.
	(setup_toggles) : ditto.
